EndpointsCoworlds
Request replay viewer upload
POST
/v2/coworlds/replay-viewer-bundles/uploadReturns a temporary upload URL unless the bundle already exists.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Request Body
application/json
content_hash*Content Hash
Lowercase SHA-256 hash of the compressed bundle.
Match
^[0-9a-f]{64}$size_bytes*Size Bytes
Compressed bundle size in bytes.
Range
0 < value <= 268435456curl -X POST "https://softmax.com/api/observatory/v2/coworlds/replay-viewer-bundles/upload" \ -H "Content-Type: application/json" \ -d '{ "content_hash": "string", "size_bytes": 1 }'{ "bundle": "string", "upload_url": "string"}